#ifndef IMPORTWIDGET_H
#define IMPORTWIDGET_H

#include <QWidget>
#include <QSettings>

namespace Ui {
class ImportWidget;
}

class LotroDatManager;

class ImportWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ImportWidget(LotroDatManager* mgr, QSettings* settings, QWidget *parent = 0);
    ~ImportWidget();

    void hideAllImportOptions();

private slots:
    void onTextFragmentContentsReceived(QString, QString);

    void on_database_import_radiobutton_common_clicked();

    void on_file_import_radiobutton_common_clicked();

    void on_textfragment_import_radiobutton_common_clicked();

    void on_database_import_button_common_clicked();

    void on_file_import_button_common_clicked();

    void on_get_file_fragments_button_common_clicked();

    void on_textfragment_import_common_clicked();

private:
    LotroDatManager* lotro_manager;
    QSettings* settings;
    Ui::ImportWidget* ui;
};

#endif // IMPORTWIDGET_H
